View Issue Details

IDProjectCategoryView StatusLast Update
0000613Pgpool-IIBugpublic2020-05-15 10:34
ReporterjobcespedesAssigned Tot-ishii 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionopen 
PlatformLinuxOSDebianOS Version10 (buster)
Product Version4.0.2 
Target VersionFixed in Version4.0.6 
Summary0000613: segfault, error 4 in libc-2.28.so, when using 'enable_pool_hba'
DescriptionSegmentation fault in Debian 10 when using 'enable_pool_hba'. I suspect of the option 'samenet' in pg_hba.conf because after replacing it with IPs, there is no error.

Steps To Reproduce1. Use 'enable_pool_hba'
2. Use the following for pg_hba.conf
"
local all postgres md5

local test myuser md5

local all all peer

host all all 127.0.0.1/32 md5

host all all ::1/128 md5

host all postgres samenet md5
host replication replicator samehost reject
host replication replicator samenet trust
host test myuser samenet md5
"

3. use the following for
"
local all all trust

host all all 127.0.0.1/32 trust
host all all ::1/128 trust
host all postgres samenet md5
host test myuser samenet md5
"
4. Connect to delegate_IP using 'psql'. Ex
"
psql -h 172.24.0.100 -U -p 5432 postgres
"

Segfault will happen and output will be:
"
psql: server closed the connection unexpectedly
        This probably means the server terminated abnormally
        before or while processing the request.
"
Additional InformationLog output:

"
May 13 23:41:02 pg-master pgpool[35068]: 2020-05-13 23:41:02: pid 35078: DEBUG: reading startup packet
May 13 23:41:02 pg-master pgpool[35068]: 2020-05-13 23:41:02: pid 35078: DETAIL: Protocol Major: 3 Minor: 0 database: postgres user: postgres
May 13 23:41:02 pg-master pgpool[35068]: 2020-05-13 23:41:02: pid 35078: LOCATION: child.c:681
May 13 23:41:02 pg-master kernel: pgpool[214770]: segfault at 0 ip 00007f38aab3eca6 sp 00007ffd4cc59760 error 4 in libc-2.28.so[7f38aab25000+148000]
May 13 23:41:02 pg-master kernel: Code: 41 54 45 31 e4 55 53 48 83 ec 28 48 89 74 24 08 85 c9 0f 85 dc 02 00 00 83 fa 01 0f 84 8b 01 00 00 83 fa 24 0f 87 82 01 00 00 <49> 0f be 4d 00 49 8b 70 68 4c 89 eb 48 89 c8 f6 44 4e 01 20 74 16
May 13 23:41:02 pg-master pgpool[35068]: 2020-05-13 23:41:02: pid 35068: DEBUG: reaper handler
May 13 23:41:02 pg-master pgpool[35068]: 2020-05-13 23:41:02: pid 35068: LOCATION: pgpool_main.c:2552
May 13 23:41:02 pg-master pgpool[35068]: 2020-05-13 23:41:02: pid 35068: WARNING: child process with pid: 35078 was terminated by segmentation fault
"
TagsNo tags attached.

Activities

t-ishii

2020-05-15 09:30

developer   ~0003365

That's already fixed in Pgpool-II 4.0.6 or after.
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commit;h=8742f9fb1c4ea5a4fd4131425452511e95baee18

jobcespedes

2020-05-15 10:30

reporter   ~0003366

Thank you

Issue History

Date Modified Username Field Change
2020-05-14 10:51 jobcespedes New Issue
2020-05-15 09:26 t-ishii Assigned To => t-ishii
2020-05-15 09:26 t-ishii Status new => assigned
2020-05-15 09:30 t-ishii Note Added: 0003365
2020-05-15 09:31 t-ishii Fixed in Version => 4.0.6
2020-05-15 10:23 t-ishii Status assigned => feedback
2020-05-15 10:30 jobcespedes Note Added: 0003366
2020-05-15 10:30 jobcespedes Status feedback => assigned
2020-05-15 10:34 t-ishii Status assigned => resolved